Open SCAP Library

Public Member Functions | Data Fields
cvrf_index Struct Reference

## Public Member Functions
struct cvrf_index * | cvrf_index_new (void)
| New index structure holding all CVRF models. More...
void | cvrf_index_free (struct cvrf_index *index)
| Deallocates memory for the CVRF Index structure and all the Models it contains. More...
struct cvrf_index * | cvrf_index_clone (const struct cvrf_index *index)
const char * | cvrf_index_get_source_url (const struct cvrf_index *index)
const char * | cvrf_index_get_index_file (const struct cvrf_index *index)
bool | cvrf_index_set_source_url (struct cvrf_index *index, const char *url)
bool | cvrf_index_set_index_file (struct cvrf_index *index, const char *index_file)
bool | cvrf_index_add_model (struct cvrf_index *index, struct cvrf_model *model)
struct cvrf_model_iterator * | cvrf_index_get_models (const struct cvrf_index *index)
struct cvrf_index * | cvrf_index_import (struct oscap_source *index_source)
| Parses specified text index file and parses each filename in the list into a CVRF model contained in the CVRF index structure. More...
struct oscap_source * | cvrf_index_get_export_source (struct cvrf_index *index)
| Export CVRF Index to the export source as an XML doc. More...

## Data Fields
char * | source_url
char * | index_file
struct oscap_list * | models

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf.h